"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.separator = exports.ExtensionsUtil = void 0;
var ExtensionsUtil = /** @class */ (function () {
    function ExtensionsUtil() {
    }
    var _a;
    _a = ExtensionsUtil;
    ExtensionsUtil.extensions = {
        javaScript: ['.js', '.mjs', '.jsx'],
        typeDefinition: ['.d.ts', '.d.mts'],
    };
    ExtensionsUtil.matchJs = function (filePath) {
        return _a.extensions.javaScript.find(function (extension) {
            return filePath.endsWith(extension);
        });
    };
    ExtensionsUtil.matchDts = function (filePath) {
        return _a.extensions.typeDefinition.find(function (extension) {
            return filePath.endsWith(extension);
        });
    };
    ExtensionsUtil.matchEither = function (filePath) {
        return _a.matchJs(filePath) || _a.matchDts(filePath);
    };
    return ExtensionsUtil;
}());
exports.ExtensionsUtil = ExtensionsUtil;
var separator = '/';
exports.separator = separator;
//# sourceMappingURL=const.js.map