declare class ExtensionsUtil {
    static readonly extensions: {
        readonly javaScript: readonly [".js", ".mjs", ".jsx"];
        readonly typeDefinition: readonly [".d.ts", ".d.mts"];
    };
    static readonly matchJs: (filePath: string) => ".js" | ".mjs" | ".jsx" | undefined;
    static readonly matchDts: (filePath: string) => ".d.ts" | ".d.mts" | undefined;
    static readonly matchEither: (filePath: string) => ".js" | ".mjs" | ".jsx" | ".d.ts" | ".d.mts" | undefined;
}
declare const separator = "/";
export { ExtensionsUtil, separator };
