class ExtensionsUtil {
    static extensions = {
        javaScript: ['.js', '.mjs', '.jsx'],
        typeDefinition: ['.d.ts', '.d.mts'],
    };
    static matchJs = (filePath) => {
        return this.extensions.javaScript.find((extension) => {
            return filePath.endsWith(extension);
        });
    };
    static matchDts = (filePath) => {
        return this.extensions.typeDefinition.find((extension) => {
            return filePath.endsWith(extension);
        });
    };
    static matchEither = (filePath) => {
        return this.matchJs(filePath) || this.matchDts(filePath);
    };
}
const separator = '/';
export { ExtensionsUtil, separator };
//# sourceMappingURL=const.js.map